package org.apache.batik;

import java.util.logging.Logger;

import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle
 */
public class Activator extends AbstractUIPlugin {

	// The plug-in ID
	public static final String PLUGIN_ID = "org.apache.batik"; //$NON-NLS-1$

	// The shared instance
	private static Activator plugin;
	
	// The logger
	private static final Logger LOGGER = Logger.getLogger(PLUGIN_ID);

	public Activator() {
	}

	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * Returns the shared instance
	 * 
	 * @return the shared instance
	 */
	public static Activator getDefault() {
		return plugin;
	}
	
	/**
	 * Get the logger for Symbol plug-in.
	 * 
	 * @return the logger
	 */
	public static Logger getLogger() {
		return LOGGER;
	}

}
